--- hooks.c	2014-07-01 22:40:42.742412838 +0530
+++ ../se/hooks.c	2014-07-01 22:45:09.872428917 +0530
@@ -230,6 +230,7 @@
 	struct inode_security_struct *isec;
 
 	isec = container_of(head, struct inode_security_struct, rcu);
+	printk(KERN_ERR"Selinux DBG rcu:%s, isec=%p,&isec->list=%p\n",__func__, isec, &isec->list);
 	kmem_cache_free(sel_inode_cache, isec);
 }
 
@@ -239,8 +240,10 @@
 	struct superblock_security_struct *sbsec = inode->i_sb->s_security;
 
 	spin_lock(&sbsec->isec_lock);
-	if (!list_empty(&isec->list))
+	if (!list_empty(&isec->list)){
+		printk(KERN_ERR"Selinux DBG delete:%s, isec=%p,&isec->list=%p, sbsec=%p \n",__func__, isec, &isec->list, sbsec);
 		list_del_init(&isec->list);
+	}
 	spin_unlock(&sbsec->isec_lock);
 
 	/*
@@ -451,6 +454,7 @@
 			iput(inode);
 		}
 		spin_lock(&sbsec->isec_lock);
+		printk(KERN_ERR"Selinux DBG delete:%s, isec=%p,&isec->list=%p, sbsec=%p \n",__func__, isec, &isec->list, sbsec);
 		list_del_init(&isec->list);
 		goto next_inode;
 	}
@@ -1207,8 +1211,10 @@
 		   after the initial policy is loaded and the security
 		   server is ready to handle calls. */
 		spin_lock(&sbsec->isec_lock);
-		if (list_empty(&isec->list))
+		if (list_empty(&isec->list)){
+			printk(KERN_ERR"Selinux DBG add:%s, isec=%p,&isec->list=%p, sbsec=%p \n",__func__, isec, &isec->list, sbsec);
 			list_add(&isec->list, &sbsec->isec_head);
+		}
 		spin_unlock(&sbsec->isec_lock);
 		goto out_unlock;
 	}
